﻿open System
open System.Windows
open System.Windows.Controls
open System.Windows.Markup

let initialize (mainWindow:Window) = 
    let button = mainWindow.FindName("SampleButton") :?> Button
    let text = mainWindow.FindName("SampleText") :?> TextBlock

    button.Click
    |> Event.add (fun _ -> text.Text <- "I've been clicked!")

[<STAThread>]
[<EntryPoint>]
let main(_) = 
     let application = Application.LoadComponent(new Uri("App.xaml", UriKind.Relative)) :?> Application

     //hook into UI elements here
     application.Activated
     |> Event.add (fun _ -> initialize application.MainWindow)

     application.Run()