﻿Imports System
Imports System.Globalization
Imports System.Windows
Imports System.Windows.Data

Public Class BoolToVisibilityConverter
    Implements IValueConverter
    Public Function Convert(ByVal value As Object, ByVal targetType As Type, ByVal parameter As Object, ByVal culture As CultureInfo) As Object Implements IValueConverter.Convert
        Dim show As Boolean = CBool(value)
        Dim invert As Boolean = TypeOf parameter Is String AndAlso (CStr(parameter)).ToLower() = "invert"

        If invert Then
            show = Not show
        End If

        Return If(show, Visibility.Visible, Visibility.Collapsed)
    End Function

    Public Function ConvertBack(ByVal value As Object, ByVal targetType As Type, ByVal parameter As Object, ByVal culture As CultureInfo) As Object Implements IValueConverter.ConvertBack
        Throw New NotImplementedException()
    End Function
End Class