﻿Imports Core.Models
Imports Microsoft.FSharp.Core
Imports System.Text
Imports System.Linq
Imports System.Collections.Generic
Imports System




Friend Class MovieViewModelCSharp
    Private movie As Movie

    Public Sub New(ByVal movie As Movie)
        Me.movie = movie
    End Sub

    Public ReadOnly Property Name() As String
        Get
            Return movie.Name
        End Get
    End Property

    Public ReadOnly Property Genre() As String
        Get
            Return movie.Genre
        End Get
    End Property

    Public ReadOnly Property Rating() As Integer
        Get
            If OptionModule.IsSome(movie.Rating) Then
                Return movie.Rating.Value
            Else
                Return 0
            End If
        End Get
    End Property

    Public ReadOnly Property HasRating() As Boolean
        Get
            Return OptionModule.IsSome(movie.Rating)
        End Get
    End Property
End Class